> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timbal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Policy Assignments

> List role bindings for an access-shaping rule.



## OpenAPI

````yaml GET /orgs/{org_id}/k2/{kb_id}/policies/{policy_id}/assignments
openapi: 3.1.0
info:
  title: Timbal Platform API
  description: Public API documentation for the Timbal platform
  license:
    name: ''
  version: 2.0.0
servers:
  - url: https://api.timbal.ai
    description: Production
  - url: https://api.dev.timbal.ai
    description: Development
security: []
tags:
  - name: ace
    description: Action Control Engine (ACE) operations
  - name: analytics
    description: Org and project analytics
  - name: billing
    description: Subscriptions, usage, and payment-related operations
  - name: content
    description: Re-sign stored content URLs
  - name: files
    description: File operations
  - name: iam
    description: IAM — actions, roles, users, and authorization introspection
  - name: k2
    description: Knowledge Bases v2 operations
  - name: orgs
    description: Organization operations
  - name: projects
    description: Project operations
  - name: runs
    description: Execution operations
  - name: templates
    description: Public project template catalog
  - name: users
    description: Authenticated user profile
paths:
  /orgs/{org_id}/k2/{kb_id}/policies/{policy_id}/assignments:
    get:
      tags:
        - k2
      description: List role bindings for an access-shaping rule.
      operationId: list
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
        - name: kb_id
          in: path
          required: true
          schema:
            type: string
        - name: policy_id
          in: path
          required: true
          schema:
            type: string
        - name: role_id
          in: query
          description: Restrict to bindings for this role.
          required: false
          schema:
            type:
              - string
              - 'null'
        - name: enabled
          in: query
          description: Restrict to enabled or disabled bindings. Omit for both.
          required: false
          schema:
            type:
              - boolean
              - 'null'
        - name: include_revoked
          in: query
          description: When true, include revoked bindings. Defaults to false.
          required: false
          schema:
            type: boolean
        - name: page_token
          in: query
          required: false
          schema:
            type:
              - string
              - 'null'
      responses:
        '200':
          description: Assignments listed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListK2PolicyAssignmentsResponse'
      security:
        - bearer_auth: []
components:
  schemas:
    ListK2PolicyAssignmentsResponse:
      type: object
      required:
        - assignments
      properties:
        assignments:
          type: array
          items:
            $ref: '#/components/schemas/K2PolicyAssignment'
        next_page_token:
          type:
            - string
            - 'null'
    K2PolicyAssignment:
      type: object
      required:
        - id
        - policy_id
        - role_id
        - enabled
        - priority
        - combine_mode
        - granted_at
        - created_at
        - updated_at
      properties:
        combine_mode:
          $ref: '#/components/schemas/K2PolicyCombineMode'
        created_at:
          type: string
          format: date-time
        enabled:
          type: boolean
        granted_at:
          type: string
          format: date-time
        granted_by:
          type:
            - string
            - 'null'
        id:
          type: string
        policy_id:
          type: string
        priority:
          type: integer
          format: int32
        revoked_at:
          type:
            - string
            - 'null'
          format: date-time
        revoked_by:
          type:
            - string
            - 'null'
        role_id:
          type: string
        updated_at:
          type: string
          format: date-time
        valid_from:
          type:
            - string
            - 'null'
          format: date-time
        valid_until:
          type:
            - string
            - 'null'
          format: date-time
    K2PolicyCombineMode:
      type: string
      description: Postgres-RLS-style combination semantic for a policy binding.
      enum:
        - restrictive
        - permissive
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      description: >-
        Timbal API key. Obtain your API key from the Timbal platform settings.
        See [Authentication](/api-reference/authentication) for more
        information.

````